
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #1060

Upgrade failed to version 4.1

February 05, 2021 05:07 - Sjoerd Smeets

Status: Rejected Start date: February 05, 2021

Priority: Critical Due date:  

Assignee:  % Done: 0%

Category: libaudqt Estimated time: 0.00 hour

Target version:    

Affects version: 4.1   

Description

Upgrade failed on Linux Mint 20.1, couldn't install dependency libaudqt.

Audacious can't be started anymore.

Log:

===================================================================

Info                                                               ===================================================================

PID: 3968 (audacious)

UID: 1000 (sjoerdsmeets)

GID: 1000 (sjoerdsmeets)

Signal: 6 (ABRT)

Timestamp: Fri 2021-02-05 05:52:43 CET (12min ago)

Command Line: audacious

Executable: /usr/bin/audacious

Control Group: /user.slice/user-1000.slice/session-c1.scope

Unit: session-c1.scope

Slice: user-1000.slice

Session: c1

Owner UID: 1000 (sjoerdsmeets)

Boot ID: 9c1b054d31b14fbbaaee3e541c44e6fc

Machine ID: b76cc7b1bbdc489e93909d2043031de8

Hostname: dell-3567

Storage:

/var/lib/systemd/coredump/core.audacious.1000.9c1b054d31b14fbbaaee3e541c44e6fc.3968.1612500763000000000000.lz4

Message: Process 3968 (audacious) of user 1000 dumped core.

===================================================================

GDB Log                                                           

===================================================================

[New LWP 3968]

[New LWP 3975]

[New LWP 3971]

[New LWP 3970]

[New LWP 3972]

[New LWP 3974]

[New LWP 3973]

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

Core was generated by `audacious'.

Program terminated with signal SIGABRT, Aborted.

#0  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:50

50    ../sysdeps/unix/sysv/linux/raise.c: No such file or directory.

[Current thread is 1 (Thread 0x7f694a35dd00 (LWP 3968))]

Stack trace of thread 3968:

                #0  0x00007f694ccbb18b __GI_raise (libc.so.6 + 0x4618b)

                #1  0x00007f694cc9a859 __GI_abort (libc.so.6 + 0x25859)

                #2  0x00007f694d42782e n/a (libaudcore.so.5 + 0x3582e)

                #3  0x00007f694d42cdff _Z7aud_runv (libaudcore.so.5 + 0x3adff)

                #4  0x0000557d886a5f91 n/a (audacious + 0xff91)

                #5  0x00007f694cc9c0b3 __libc_start_main (libc.so.6 + 0x270b3)
                #6  0x0000557d886a654e n/a (audacious + 0x1054e)

 

Stack trace of thread 3975:

                #0  0x00007f694d3df376 futex_wait_cancelable (libpthread.so.0 + 0x10376)

                #1  0x00007f694cf54e50 _ZNSt18condition_variable4waitERSt11unique_lockISt5mutexE (

libstdc++.so.6 + 0xd0e50)

                #2  0x00007f694d4174fb n/a (libaudcore.so.5 + 0x254fb)

                #3  0x00007f694d418685 n/a (libaudcore.so.5 + 0x26685)

                #4  0x00007f694d41b1d2 _ZN11InputPlugin11write_audioEPKvi (libaudcore.so.5 + 0x291

d2)

                #5  0x00007f693a267169 n/a (madplug.so + 0x3169)

                #6  0x00007f694d41a3dd n/a (libaudcore.so.5 + 0x283dd)

                #7  0x00007f694cf5ad84 n/a (libstdc++.so.6 + 0xd6d84)

                #8  0x00007f694d3d8609 start_thread (libpthread.so.0 + 0x9609)

                #9  0x00007f694cd97293 __clone (libc.so.6 + 0x122293)

 

Stack trace of thread 3971:

                #0  0x00007f694cd8aaff GI_poll (libc.so.6 + 0x115aff)

                #1  0x00007f694d0b718e n/a (libglib-2.0.so.0 + 0x5218e)

                #2  0x00007f694d0b72c3 g_main_context_iteration (libglib-2.0.so.0 + 0x522c3)

                #3  0x00007f694d0b7311 n/a (libglib-2.0.so.0 + 0x52311)

                #4  0x00007f694d0e0911 n/a (libglib-2.0.so.0 + 0x7b911)

                #5  0x00007f694d3d8609 start_thread (libpthread.so.0 + 0x9609)

                #6  0x00007f694cd97293 __clone (libc.so.6 + 0x122293)

 

Stack trace of thread 3970:

                #0  0x00007f694cd8aaff GI_poll (libc.so.6 + 0x115aff)

                #1  0x00007f694d0b718e n/a (libglib-2.0.so.0 + 0x5218e)

                #2  0x00007f694d0b7513 g_main_loop_run (libglib-2.0.so.0 + 0x52513)

                #3  0x0000557d886a9816 n/a (audacious + 0x13816)

                #4  0x00007f694cf5ad84 n/a (libstdc++.so.6 + 0xd6d84)

                #5  0x00007f694d3d8609 start_thread (libpthread.so.0 + 0x9609)

                #6  0x00007f694cd97293 __clone (libc.so.6 + 0x122293)

 

Stack trace of thread 3972:

                #0  0x00007f694cd9089d syscall (libc.so.6 + 0x11b89d)

                #1  0x00007f694d1044b6 g_cond_wait_until (libglib-2.0.so.0 + 0x9f4b6)

                #2  0x00007f694d087541 n/a (libglib-2.0.so.0 + 0x22541)

                #3  0x00007f694d0e130a n/a (libglib-2.0.so.0 + 0x7c30a)

                #4  0x00007f694d0e0911 n/a (libglib-2.0.so.0 + 0x7b911)

                #5  0x00007f694d3d8609 start_thread (libpthread.so.0 + 0x9609)

                #6  0x00007f694cd97293 __clone (libc.so.6 + 0x122293)

 

Stack trace of thread 3974:

                #0  0x00007f694ccbc322 GI_sigtimedwait (libc.so.6 + 0x47322)

                #1  0x00007f694d3e3f6c __sigwait (libpthread.so.0 + 0x14f6c)

                #2  0x0000557d886a696b n/a (audacious + 0x1096b)

                #3  0x00007f694cf5ad84 n/a (libstdc++.so.6 + 0xd6d84)

                #4  0x00007f694d3d8609 start_thread (libpthread.so.0 + 0x9609)

                #5  0x00007f694cd97293 __clone (libc.so.6 + 0x122293)

 

Stack trace of thread 3973:

                #0  0x00007f694cd8aaff GI_poll (libc.so.6 + 0x115aff)

                #1  0x00007f694d0b718e n/a (libglib-2.0.so.0 + 0x5218e)

                #2  0x00007f694d0b7513 g_main_loop_run (libglib-2.0.so.0 + 0x52513)
                #3  0x00007f694d30ceda n/a (libgio-2.0.so.0 + 0x11eeda)

                #4  0x00007f694d0e0911 n/a (libglib-2.0.so.0 + 0x7b911)

                #5  0x00007f694d3d8609 start_thread (libpthread.so.0 + 0x9609)

                #6  0x00007f694cd97293 __clone (libc.so.6 + 0x122293)

 

===================================================================

GDB Backtrace                                                     

===================================================================

[New LWP 3968]

[New LWP 3975]

[New LWP 3971]

[New LWP 3970]

[New LWP 3972]

[New LWP 3974]

[New LWP 3973]

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

Core was generated by `audacious'.

Program terminated with signal SIGABRT, Aborted.

#0  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:50

50    ../sysdeps/unix/sysv/linux/raise.c: No such file or directory.

[Current thread is 1 (Thread 0x7f694a35dd00 (LWP 3968))]

#0  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:50

#1  0x00007f694cc9a859 in __GI_abort () at abort.c:79

#2  0x00007f694d42782e in ?? () from /usr/lib/x86_64-linux-gnu/libaudcore.so.5

#3  0x00007f694d42cdff in aud_run() () from /usr/lib/x86_64-linux-gnu/libaudcore.so.5

#4  0x0000557d886a5f91 in ?? ()

#5  0x00007f694cc9c0b3 in __libc_start_main (main=0x557d886a5940, argc=1, argv=0x7ffd51f1b318, init=<optimized out>,

fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7ffd51f1b308) at ../csu/libc-start.c:308

#6  0x0000557d886a654e in ?? ()

===================================================================

GDB Backtrace (all threads)                                       

===================================================================

[New LWP 3968]

[New LWP 3975]

[New LWP 3971]

[New LWP 3970]

[New LWP 3972]

[New LWP 3974]

[New LWP 3973]

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

Core was generated by `audacious'.

Program terminated with signal SIGABRT, Aborted.

#0  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:50

50    ../sysdeps/unix/sysv/linux/raise.c: No such file or directory.

[Current thread is 1 (Thread 0x7f694a35dd00 (LWP 3968))]

Thread 7 (Thread 0x7f693bfff700 (LWP 3973)):

#0  0x00007f694cd8aaff in GI_poll (fds=0x7f69400103a0, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29

resultvar = 18446744073709551100

sc_cancel_oldtype = 0

sc_ret = <optimized out>

#1  0x00007f694d0b718e in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#2  0x00007f694d0b7513 in g_main_loop_run () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#3  0x00007f694d30ceda in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0

No symbol table info available.

#4  0x00007f694d0e0911 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#5  0x00007f694d3d8609 in start_thread (arg=<optimized out>) at pthread_create.c:477

ret = <optimized out>

pd = <optimized out>
unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140089954924288, -111523013638023020, 140090168634190, 140090168634191,

140090168634336, 140089954922112, 45525928164661396, 45405517957372052}, mask_was_saved = 0}}, priv = {pad = {0x0,

0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}

not_first_call = 0

#6  0x00007f694cd97293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

No locals.

Thread 6 (Thread 0x7f693b7fe700 (LWP 3974)):

#0  0x00007f694ccbc322 in GI_sigtimedwait (set=set@entry=0x557d886cf0c0, info=info@entry=0x7f693b7fdcc0,

timeout=timeout@entry=0x0) at ../sysdeps/unix/sysv/linux/sigtimedwait.c:29

resultvar = 18446744073709551612

sc_cancel_oldtype = 0

sc_ret = <optimized out>

result = <optimized out>

#1  0x00007f694d3e3f6c in __sigwait (set=0x557d886cf0c0, sig=0x7f693b7fdd74) at ../sysdeps/unix/sysv/linux/sigwait.c:28

si = {si_signo = 0, si_errno = 0, si_code = 0, __pad0 = 0, _sifields = {_pad = {0 <repeats 28 times>}, _kill = {si_pid = 0, si_uid = 0},

_timer = {si_tid = 0, si_overrun = 0, si_sigval = {sival_int = 0, sival_ptr = 0x0}}, _rt = {si_pid = 0, si_uid = 0, si_sigval = {sival_int = 0,

sival_ptr = 0x0}}, _sigchld = {si_pid = 0, si_uid = 0, si_status = 0, si_utime = 0, si_stime = 0}, _sigfault = {si_addr = 0x0, si_addr_lsb =

0, _bounds = {_addr_bnd = {_lower = 0x0, _upper = 0x0}, _pkey = 0}}, _sigpoll = {si_band = 0, si_fd = 0}, _sigsys = {_call_addr =

0x0, _syscall = 0, _arch = 0}}}

ret = <optimized out>

#2  0x0000557d886a696b in ?? ()

No symbol table info available.

#3  0x00007f694cf5ad84 in ?? () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6

No symbol table info available.

#4  0x00007f694d3d8609 in start_thread (arg=<optimized out>) at pthread_create.c:477

ret = <optimized out>

pd = <optimized out>

unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140089946531584, -111523013638023020, 140725978247326, 140725978247327,

140725978247328, 140089946529408, 45524829189904532, 45405517957372052}, mask_was_saved = 0}}, priv = {pad = {0x0,

0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}

not_first_call = 0

#5  0x00007f694cd97293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

No locals.

Thread 5 (Thread 0x7f6948bcf700 (LWP 3972)):

#0  syscall () at ../sysdeps/unix/sysv/linux/x86_64/syscall.S:38

No locals.

#1  0x00007f694d1044b6 in g_cond_wait_until () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#2  0x00007f694d087541 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#3  0x00007f694d0e130a in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#4  0x00007f694d0e0911 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#5  0x00007f694d3d8609 in start_thread (arg=<optimized out>) at pthread_create.c:477

ret = <optimized out>

pd = <optimized out>

unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140090168637184, -111523013638023020, 140090186557998, 140090186557999,

140090186558144, 140090168635008, 45417600499521684, 45405517957372052}, mask_was_saved = 0}}, priv = {pad = {0x0,

0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}

not_first_call = 0

#6  0x00007f694cd97293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

No locals.

Thread 4 (Thread 0x7f6949ce7700 (LWP 3970)):

#0  0x00007f694cd8aaff in GI_poll (fds=0x7f6944010d60, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29

resultvar = 18446744073709551100

sc_cancel_oldtype = 0

sc_ret = <optimized out>

#1  0x00007f694d0b718e in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#2  0x00007f694d0b7513 in g_main_loop_run () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#3  0x0000557d886a9816 in ?? ()

No symbol table info available.
#4  0x00007f694cf5ad84 in ?? () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6

No symbol table info available.

#5  0x00007f694d3d8609 in start_thread (arg=<optimized out>) at pthread_create.c:477

ret = <optimized out>

pd = <optimized out>

unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140090186561280, -111523013638023020, 140725978247182, 140725978247183,

140725978247184, 140090186559104, 45416376433842324, 45405517957372052}, mask_was_saved = 0}}, priv = {pad = {0x0,

0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}

not_first_call = 0

#6  0x00007f694cd97293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

No locals.

Thread 3 (Thread 0x7f69493e6700 (LWP 3971)):

#0  0x00007f694cd8aaff in GI_poll (fds=0x7f6944005630, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29

resultvar = 18446744073709551100

sc_cancel_oldtype = 0

sc_ret = <optimized out>

#1  0x00007f694d0b718e in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#2  0x00007f694d0b72c3 in g_main_context_iteration () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#3  0x00007f694d0b7311 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#4  0x00007f694d0e0911 in ?? () from /usr/lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#5  0x00007f694d3d8609 in start_thread (arg=<optimized out>) at pthread_create.c:477

ret = <optimized out>

pd = <optimized out>

unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140090177120000, -111523013638023020, 140090186557614, 140090186557615,

140090186557760, 140090177117824, 45414315386411156, 45405517957372052}, mask_was_saved = 0}}, priv = {pad = {0x0,

0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}

not_first_call = 0

#6  0x00007f694cd97293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

No locals.

Thread 2 (Thread 0x7f6939b0c700 (LWP 3975)):

#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x7f694d4583a0) at

../sysdeps/nptl/futex-internal.h:183

_ret = -512

oldtype = 0

err = <optimized out>

oldtype = <optimized out>

err = <optimized out>

__ret = <optimized out>

resultvar = <optimized out>

__arg4 = <optimized out>

__arg3 = <optimized out>

__arg2 = <optimized out>

__arg1 = <optimized out>

_a4 = <optimized out>

_a3 = <optimized out>

_a2 = <optimized out>

_a1 = <optimized out>

#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x7f694d458350, cond=0x7f694d458378) at

pthread_cond_wait.c:508

spin = 0

buffer = {_routine = 0x7f694d3df050 <__condvar_cleanup_waiting>, __arg = 0x7f6939b07a20, __canceltype = 1296401008, __prev

= 0x0}

cbuffer = {wseq = 0, cond = 0x7f694d458378, mutex = 0x7f694d458350, private = 0}

err = <optimized out>

g = 0

flags = <optimized out>

g1_start = <optimized out>

signals = <optimized out>

result = 0

wseq = 0

seq = 0
private = <optimized out>

maxspin = <optimized out>

err = <optimized out>

result = <optimized out>

wseq = <optimized out>

g = <optimized out>

seq = <optimized out>

flags = <optimized out>

private = <optimized out>

signals = <optimized out>

g1_start = <optimized out>

spin = <optimized out>

buffer = <optimized out>

cbuffer = <optimized out>

s = <optimized out>

#2  __pthread_cond_wait (cond=0x7f694d458378, mutex=0x7f694d458350) at pthread_cond_wait.c:638

No locals.

#3  0x00007f694cf54e50 in std::condition_variable::wait(std::unique_lock<std::mutex>&) () from

/usr/lib/x86_64-linux-gnu/libstdc++.so.6

No symbol table info available.

#4  0x00007f694d4174fb in ?? () from /usr/lib/x86_64-linux-gnu/libaudcore.so.5

No symbol table info available.

#5  0x00007f694d418685 in ?? () from /usr/lib/x86_64-linux-gnu/libaudcore.so.5

No symbol table info available.

#6  0x00007f694d41b1d2 in InputPlugin::write_audio(void const*, int) () from /usr/lib/x86_64-linux-gnu/libaudcore.so.5

No symbol table info available.

#7  0x00007f693a267169 in ?? () from /usr/lib/x86_64-linux-gnu/audacious/Input/madplug.so

No symbol table info available.

#8  0x00007f694d41a3dd in ?? () from /usr/lib/x86_64-linux-gnu/libaudcore.so.5

No symbol table info available.

#9  0x00007f694cf5ad84 in ?? () from /usr/lib/x86_64-linux-gnu/libstdc++.so.6

No symbol table info available.

#10 0x00007f694d3d8609 in start_thread (arg=<optimized out>) at pthread_create.c:477

ret = <optimized out>

pd = <optimized out>

unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140089916180224, -111523013638023020, 140725978247134, 140725978247135,

140725978247136, 140089916178048, 45520921843406996, 45405517957372052}, mask_was_saved = 0}}, priv = {pad = {0x0,

0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}

not_first_call = 0

#11 0x00007f694cd97293 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

No locals.

Thread 1 (Thread 0x7f694a35dd00 (LWP 3968)):

#0  _GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:50

set = {_val = {16391, 140090244570369, 140725978247344, 140090237673907, 206158430256, 140725978247040,

140725978246832, 5061902363306712832, 0, 140090238443936, 0, 140090244568011, 140090244570354, 154,

140090244570354, 154}}

pid = <optimized out>

tid = <optimized out>

ret = <optimized out>

#1  0x00007f694cc9a859 in _GI_abort () at abort.c:79

save_stage = 1

act = {_sigaction_handler = {sa_handler = 0x557d88dc1af0, sa_sigaction = 0x557d88dc1af0}, sa_mask = {__val =

{5061902361753026565, 93997655342688, 93997655425856, 0, 140090244505218, 7, 93997655422576, 93997655425568,

5061902363306712832, 93997655423152, 7, 0, 93997655435920, 7, 7, 93997655425568}}, sa_flags = -1998804336, sa_restorer =

0x7f694d439d28}

sigs = {__val = {32, 0 <repeats 15 times>}}

#2  0x00007f694d42782e in ?? () from /usr/lib/x86_64-linux-gnu/libaudcore.so.5

No symbol table info available.

#3  0x00007f694d42cdff in aud_run() () from /usr/lib/x86_64-linux-gnu/libaudcore.so.5

No symbol table info available.

#4  0x0000557d886a5f91 in ?? ()

No symbol table info available.

#5  0x00007f694cc9c0b3 in __libc_start_main (main=0x557d886a5940, argc=1, argv=0x7ffd51f1b318, init=<optimized out>,

fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7ffd51f1b308) at ../csu/libc-start.c:308

self = <optimized out>

result = <optimized out>
unwind_buf = {cancel_jmp_buf = {{jmp_buf = {93997648033360, -111523013638023020, 93997647947040, 140725978247952, 0, 0,

110735714113755284, 45409810683598996}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x1, 0x7ffd51f1b318}, data = {prev =

0x0, cleanup = 0x0, canceltype = 1}}}

not_first_call = <optimized out>

#6  0x0000557d886a654e in ?? ()

No symbol table info available.

#0  __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:50

#1  0x00007f694cc9a859 in __GI_abort () at abort.c:79

#2  0x00007f694d42782e in ?? () from /usr/lib/x86_64-linux-gnu/libaudcore.so.5

#3  0x00007f694d42cdff in aud_run() () from /usr/lib/x86_64-linux-gnu/libaudcore.so.5

#4  0x0000557d886a5f91 in ?? ()

#5  0x00007f694cc9c0b3 in __libc_start_main (main=0x557d886a5940, argc=1, argv=0x7ffd51f1b318, init=<optimized out>,

fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7ffd51f1b308) at ../csu/libc-start.c:308

#6  0x0000557d886a654e in ?? ()

History

#1 - February 05, 2021 10:15 - Henning Kockerbeck

This might be related, if not the same cause, to what I saw on Ubuntu 20.04 this morning. I'm using Panda Jim's PPA

(https://launchpad.net/~ubuntuhandbook1/+archive/ubuntu/apps?field.series_filter=focal). While upgrading from Audacious 4.0 to 4.1, also the

package audacious-plugins was upgraded. The 4.1 version of the plugins package depends on libaudqt2. But libaudqt2 conflicts with  the installed

libaudqt5, because both packages contain the file /usr/lib/x86_64-linux-gnu/libaudqt.so.2.

#2 - February 05, 2021 10:39 - Henning Kockerbeck

Update on my previous comment: I could solve my problem by manually removing the installed libaudqt5. As apt rdepends libaudqt5 showed, no

other packages depended on it, so I risked to remove it with dpkg. After that, I fixed the half-installed plugins package with apt --fix-broken install, and

so far, everything seems to be good.

In case your installation of libaudqt5 does have any other packages depend on it, you may want to be more careful, or you might break something

else by yanking libaudqt5 from your system.

#3 - February 05, 2021 11:24 - Anas B

I had the same issue, reinstalling audacious fixed it and I think it's safer than messing with dpkg

sudo apt remove --purge audacious audacious-plugins:amd64 audacious-plugins-data

sudo apt install audacious

#4 - February 05, 2021 13:14 - John Lindgren

The original poster's issue is an abort() crash, not a package conflict. Please ask Panda Jim about the package conflict. Be considerate. He (like us)

is a volunteer.

Sjoerd, please reinstall Audacious with debug symbols to make the backtraces more useful.

#5 - February 05, 2021 13:15 - John Lindgren

- Status changed from New to Rejected

Never mind, I see that the original post mentions a package conflict as well. This is not an upstream issue, so closing.
